package cn.superdesk.uniorder.common.enums.accounting.operator;

public enum SettlementScopeEnum {
    全部订单参与结算(1, "全部订单参与结算"),
    部分订单不参与结算(2, "部分订单不参与结算"),
    ;
    private Integer key;
    private String  desc;

    SettlementScopeEnum(Integer key, String desc) {
        this.key = key;
        this.desc = desc;
    }


    public Integer getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescByKey(Integer key) {
        for (SettlementScopeEnum c : SettlementScopeEnum.values()) {
            if (c.key.equals(key)) {
                return c.getDesc();
            }
        }
        return "";
    }
}
